#include<iostream.h>
 int main()
{
 int a[10],mid,low,high,i,flag,n;
 cout<<"请输入已按升序排序的数列："<<endl;
 for(i=0;i<10;i++)
  cin>>a[i];//输入升序数列
 cout<<"请输入要查找的数："<<endl;
 cin>>n;//输入要查找的数 
 low=0;
 high=9;
 flag=0;
 while(low<=high)
{
 mid=(low+high)/2;//计算中间数的位置
 if(a[mid]==n)//中间数与所查数比较
 {
  flag=1;//查找成功
  break;
 }
 else if(a[mid]>n)
  high=mid-1;//查找范围缩小为左半区
 else 
  low=mid+1;//查找范围缩小为右半区
}
if(flag==1)//判断查找标志
 cout<<n<<"已经找到"<<endl;
else 
 cout<<n<<"没有找到"<<endl;
return(0);
}
